<ion-header [translucent]="true">
    <ion-toolbar>
        <!--        <ion-title>Karte ({{(mapService.map ? mapService.map.getZoom() : null)}})</ion-title>-->
        <ion-title>Karte</ion-title>
<!--        <ion-buttons slot="end" *ngIf="settingsService.loadSettingsFromStorage">-->
<!--            <ion-button color="secondary"-->
<!--                        (click)="(settingsService.tracking && !mapService.markerService.liveTracker ?  mapService.map.setZoom(15) : null); (settingsService.tracking ? mapService.markerService.liveTrackerSubject.next(!mapService.markerService.liveTracker) : trackingIsNotActive()); mapService.resizeMap()">-->
<!--                <ion-icon slot="icon-only"-->
<!--                          name="{{mapService.markerService.liveTracker ? 'navigate' : 'navigate-outline'}}"></ion-icon>-->
<!--            </ion-button>-->
<!--        </ion-buttons>-->
<!--        <ion-buttons slot="end" *ngIf="!settingsService.loadSettingsFromStorage">-->
<!--            &lt;!&ndash;            <ion-button color="{{mapService.settingsService.showPolyline ? 'success' : 'danger'}}" [disabled]="true">&ndash;&gt;-->
<!--            &lt;!&ndash;                <ion-icon slot="icon-only" name="analytics-outline"></ion-icon>&ndash;&gt;-->
<!--            &lt;!&ndash;            </ion-button>&ndash;&gt;-->
<!--            <ion-button color="secondary" [disabled]="true">-->
<!--                <ion-icon slot="icon-only" name="navigate-outline"></ion-icon>-->
<!--            </ion-button>-->
<!--        </ion-buttons>-->
    </ion-toolbar>
</ion-header>
<ion-content [fullscreen]="false">
    <div class="map-container">
        <div class="map-frame">
            <div id="map">
                <ion-fab horizontal="start" vertical="bottom" slot="fixed"
                         (mouseover)="markerService.blockSetMarkerTemp = true"
                         (mouseleave)="markerService.blockSetMarkerTemp = false">
                    <ion-fab-button color="dark">
                        <ion-icon md="caret-up" ios="layers-outline"></ion-icon>
                    </ion-fab-button>
                    <ion-fab-list side="top">
                        <ion-fab-button color="light"
                                        (click)="mapService.resizeMap(); mapService.settingsService.showPolyline = !mapService.settingsService.showPolyline">
                            <ion-icon color="{{mapService.settingsService.showPolyline ? 'dark' : 'danger'}}"
                                      name="analytics-outline"></ion-icon>
                        </ion-fab-button>
                        <ion-fab-button color="light"
                                        (click)="mapService.resizeMap(); mapService.settingsService.showMarker = !mapService.settingsService.showMarker">
                            <ion-icon color="{{mapService.settingsService.showMarker ? 'dark' : 'danger'}}"
                                      name="pin-outline"></ion-icon>
                        </ion-fab-button>
                    </ion-fab-list>
                </ion-fab>
                <div class="apple-like-button-group"
                     (mouseover)="markerService.blockSetMarkerTemp === false ? markerService.blockSetMarkerTemp = true : null"
                     (mouseleave)="markerService.blockSetMarkerTemp === true ? markerService.blockSetMarkerTemp = false : null">
                    <button (click)="(settingsService.tracking && !mapService.markerService.liveTracker ?  mapService.map.setZoom(15) : null); (settingsService.tracking ? mapService.markerService.liveTrackerSubject.next(!mapService.markerService.liveTracker) : trackingIsNotActive()); mapService.resizeMap()">
                        <ion-icon name="{{mapService.markerService.liveTracker ? 'navigate' : 'navigate-outline'}}"></ion-icon>
                    </button>
                    <button (click)="settingsService.recordedPolyline = !settingsService.recordedPolyline" ion-long-press (longPressed)="presentActionSheet(); actionSheetOpen = true" (pressEnded)="actionSheetOpen = false">
                        <ion-icon color="{{settingsService.recordedPolyline ? 'danger' : ''}}" name="{{settingsService.recordedPolyline ? 'radio-button-on-outline' : 'radio-button-off-outline'}}"></ion-icon>
                    </button>
<!--                    <button>-->
<!--                        <ion-icon name="information-circle-outline"></ion-icon>-->
<!--                    </button>-->
                </div>
            </div>
        </div>
    </div>
</ion-content>
